{% extends "base.html" %}
{% block content %}

<script src="/static/dataTables/jquery.dataTables.min.js"></script>
<script src="/static/dataTables/dataTables.bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="/static/dataTables/dataTables.bootstrap.min.css">

<div class="container">
    <div class="row col-md-8" style="font-size:1.5em">
        {%trans%}My forms{%endtrans%}
    </div>
    <div class="row col-md-4 text-right">
    <input class="btn-primary btn" type="button" value="{%trans%}New form{%endtrans%}" onClick="location.href='/forms/new'">
    &nbsp;
    <input class="btn-primary btn" type="button" value="{%trans%}Choose a template{%endtrans%}" onClick="location.href='/forms/templates'">
    </div>
</div>

<div class="container">
<div class="row col-md-12">
<hr />

<table id="forms" style="display:none" class="table table-striped table-condensed">
    <thead>
    <tr>
        <th>{%trans%}Name{%endtrans%}</th>
        <th>{%trans%}Created{%endtrans%}</th>
        <th>{%trans%}Last entry{%endtrans%}</th>
        <th>{%trans%}Entries{%endtrans%}</th>
        <th>{%trans%}Public{%endtrans%}</th>
        <th>{%trans%}Shared{%endtrans%}</th>
    </tr>
    </thead>
    {% for form in forms %}
    <tr>
       <td><a href="/forms/view/{{form._id}}">{{form.slug}}</a></td>
       <td>{{form.created}}</td>
       <td>{{form.lastEntryDate}}</td>
       <td><a style="padding-right:1em" href="/forms/entries/{{form._id}}">{{form.entries|length}}</a></td>
       <td>{{form.isPublic()}}</td>
       <td>{{form.isShared()}}</td>
    </tr>
    {% endfor %}
</table>

</div>
</div>

<script>
$(document).ready(function() {
    $('#forms').DataTable({
        "language": {
            "url": "/static/dataTables-languages/{{g.current_user.language}}.js"
        },
        "initComplete": function(settings, json) {
            $("#forms").show();
        },
        "order": [[1, 'desc']]
    });
} );
</script>
  
{% endblock %}
